2.8.24. Расширения PHP

Примечание

Если на хостинге нет нужного модуля, вы можете обратиться в техподдержку для уточнения возможности его установки.

На хостинге установлено множество расширений (модулей) PHP. Чтобы просмотреть список доступных модулей, воспользуйтесь инструкцией (скриптом или ссылками).

Некоторые модули по умолчанию отключены и включаются в настройках PHP в секции «Модули PHP»:

Если скрипт использует какие-либо из расширений и запускается через cron или консоль, при запуске следует подключать ini-файл.

Внимание!

Для PHP 8 на текущий момент недоступны следующие PECL-модули: memcache (без d в конце), phalcon4, trader.

Поддерживаются:

Не поддерживаются:

Ряд модулей доступен только в определённых версиях PHP:

Версия PHP 8 7.4, 7.3, 7.2 7.1, 7.0 5.6 5.5 и ниже
Mcrypt (удалено в PHP 7.2) Нет Нет Есть Есть Есть
SNMP Нет Нет Нет Есть Есть
Mssql (удалено в PHP 7.0) Нет Нет Нет Есть Есть
ereg (удалено в PHP 7.0) Нет Нет Нет Есть Есть
Zend Encoder Нет Нет Нет Есть Есть
ionCube Нет Есть Есть Есть Есть
sqlsrv и pdo_sqlsrv Есть Есть Есть Нет Нет
yaml Есть Есть Есть Есть Нет
XLSWriter Есть Есть Есть Нет Нет
Содержание